{ ... }: {
  imports = [
    ./keymaps.nix
  ];
  dependencies.ripgrep.enable = true;

  plugins.telescope = {
    enable = true;
    extensions.file-browser = {
      enable = true;
      settings = {
        git_status = true;
        hijack_netrw = true;
        respect_gitignore = true;
        fzf-native.enable = true;
        fzf-native.settings.case_mode = "ignore_case";
      };
    };
  };
}
